> For the complete documentation index, see llms.txt.
Skip to main content

Check out Port for yourself ➜ 

Update an integration

PATCH 

/v1/integration/:identifier

This route allows you to modify an integration in your Port organization.

To learn more about integrations, check out the documentation.

Permission requirements
To use this endpoint, you must have an admin role in your Port organization.
Note: The moderator role does not include the required update:integrations scope. Requests without this scope return 403 Forbidden.
To learn more about the different roles and permissions, please refer to the documentation.

Note: To trigger a resync of an integration without changing its mapping, simply provide its identifier and leave the body empty.

Port-hosted spec updates return 202 Accepted while the change is applied. Other updates return 200.

Request​

Responses​

Default Response